---
title: "Three weeks of Mastodon"
date: 2022-11-24T00:00:00
slug: three-weeks-of-mastodon

---
We’re now just about at the three-week mark since one of my friends jokingly told me I should just self-host a Mastodon instance after I complained about not knowing which one to choose.

Jokes on him, I actually enjoyed it.

## [Making the switch](https://lewisdale.dev/post/three-weeks-of-mastodon/#making-the-switch)

I actually already had an account on [mastodon.social](https://mastodon.social/), that I’d made a few months ago when I first heard about it, but had never really used it. Switching was trivial, it just amounts to a new field in the accounts [Actor definition](https://mastodon.social/users/lewisdaleuk.json) - as it happens, you can view the JSON Actor file for any Mastodon account by just adding `.json` to the end of their username. Handy for seeing what they look like if you’re having a go.

Once I had that up, I used [fedifinder](https://fedifinder.glitch.me/) to find a few accounts and follow them, and sort of just went from there.

I also set up [Moa Bridge](https://moa.party/) to auto-crosspost between Twitter & Mastodon. Initially this was in both directions as I wasn’t 100% sure I was going to like it, but after a short while I changed the settings so that only Mastodon posts got posted to Twitter, not the other way round.

## [Wait, am I a Sysadmin now?](https://lewisdale.dev/post/three-weeks-of-mastodon/#wait-am-i-a-sysadmin-now)

I’ve got everything running on a single Linode node. That seems fine considering my instance only has 4 accounts, and 3 of them are quiet-to-borderline-inactive. Storage seems to be an issue, I’ve resorted to fairly aggressive cron jobs that delete media to stop them spiralling. Ideally I need to look into making that more efficient in the long run, or I’ll get a big bill in the near future.

## [Using Mastodon](https://lewisdale.dev/post/three-weeks-of-mastodon/#using-mastodon)

In general, I *really* like Mastodon (and the Fediverse in general) as a place to be social. It feels a lot calmer, I have way more control over who and what I’m able to see - especially as a server admin. There’s just so much less *noise* - I’m seeing reall interesting posts from people doing cool stuff, and I’m not getting random promoted posts from tech grifters telling me I can learn Javascript in 25 minutes if I just follow their course.

## [Thoughts on the Fediverse and ActivityPub](https://lewisdale.dev/post/three-weeks-of-mastodon/#thoughts-on-the-fediverse-and-activitypub)

This won’t come as a shock to anyone who already follows me or read my other posts, but I think that ActivityPub is cool as hell. I can self-host a website, implement a specific protocol, and any one of these other websites that accept it can not only follow, but can actively interact with me? It’s exciting, and it almost feels like a callback to the earlier days of the internet, before it was taken over by like 4 websites.

I’ve had a go at implementing a few ActivityPub features on this blog, as well as [starting but nowhere near finishing](https://github.com/lewisdaleuk/slap.git) a full implementation. This is mostly just me playing around with, and getting used to the concepts behind the protocol. I’m really looking forward to seeing what I, and more importantly other people, can build with it.
